Bug 429486 - Review Request: screenlets - A widget system for Compiz-fusion and Beryl
Review Request: screenlets - A widget system for Compiz-fusion and Beryl
Status: CLOSED DUPLICATE of bug 484644
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-20 19:21 EST by Patrice FERLET
Modified: 2009-05-02 00:45 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-22 10:10:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
rpmlint output for screenlets-0.0.12-2.fc8.noarch.rpm (4.46 KB, text/plain)
2008-02-07 01:00 EST, Russell Harrison
no flags Details

  None (edit)
Description Patrice FERLET 2008-01-20 19:21:39 EST
Spec URL: http://www.metal3d.org/rpms/screenlets.spec
SRPM URL: http://www.metal3d.org/rpms/screenlets-0.0.10-1.fc8.src.rpm

Description: Screenlets is a widget system integrated to compiz (with widget layer), Beryl and every desktop manager wich use compositing.

I need you review my englesh (i'm french)
Comment 1 Patrice FERLET 2008-01-21 09:50:55 EST
I tested this package and it works great, really Fedora 8 miss this package
(check internet to realize how many users look for a Screenlets RPM with icon in
menu).

Lot of people has tried to create some rpm for F7, Fc6... and this package isn't
in extras repository yet. I think it could be great to check my RPM for
correction i can do and add it into repository.

Maybe i can do 2 RPM, one for the manager and one other for screenlets
widgets... ? But screenlets i included into rpm are basically included by the
default install tarball. I think it could be better to let this widgets by default.

Regards,

Patrice
Comment 2 Patrice FERLET 2008-01-23 18:53:41 EST
I did correction (patch) to correct an error for autostart
($HIOME/.config/autostart could be not created).

So the new srpm is here:
http://www.metal3d.org/rpms/screenlets-0.0.10-2.fc8.src.rpm

Regards
Comment 3 Jack Deslippe 2008-01-27 02:37:39 EST
I think this would be a nice addition to fedora.  I hope it can be included in
the next release.  
Comment 4 Patrice FERLET 2008-01-28 05:42:52 EST
If i trust this link:
http://gnome-look.org/groups/?id=13

0.0.12 is out ! I will repackage tonight and purpose new spec file and SRPM.

Comment 5 Patrice FERLET 2008-01-28 16:46:15 EST
As you can see here:
http://www.gnome-look.org/content/show.php?content=73346

Package is no 0.0.12

Here are specs and src.rpm:
http://www.metal3d.org/rpms/screenlets.spec
http://www.metal3d.org/rpms/screenlets-0.0.12-1.fc8.src.rpm
Comment 6 Patrice FERLET 2008-01-29 16:17:35 EST
The correct relase was 157 from bzr, so new and last change:
http://www.metal3d.org/rpms/screenlets-0.0.12-2.fc8.src.rpm
http://www.metal3d.org/rpms/screenlets.spec
Comment 7 Russell Harrison 2008-02-07 01:00:22 EST
Created attachment 294188 [details]
rpmlint output for screenlets-0.0.12-2.fc8.noarch.rpm
Comment 8 Russell Harrison 2008-02-07 01:01:14 EST
Attaching rpmlint output from the screenlets-0.0.12-2.fc8.src.rpm package.
Comment 9 Patrice FERLET 2008-02-11 07:10:40 EST
Ok for the line too long on description, but for script-without-shebang on SVG and
non-executable-script i can't do anything... SVG are images, so i can't add
shebang and "py" files have to be executed by screenlet-manager. So, what can i do ?
Comment 10 Patrice FERLET 2008-02-11 07:12:53 EST
i will add +x on python files, but for SVG files I can't add shebang.

For de desktop file, what's wrong please ?
Comment 11 Patrice FERLET 2008-02-27 09:28:15 EST
Done... last and final release + some corrections on specfile. Rpmlint gives me:
screenlets.src: W: invalid-license GPL

http://www.metal3d.org/rpms/screenlets.spec
http://www.metal3d.org/rpms/screenlets-0.0.12-3.fc8.noarch.src.rpm
http://www.metal3d.org/rpms/screenlets-0.0.12-3.fc8.noarch.rpm

And no need to give +x on python files...

Regards
Comment 13 Timothy Selivanow 2008-03-25 17:43:17 EDT
Source0 needs to be a URL.  I see that there is one, but commented out...? 
Upstream has released 0.0.14.  You can remove ${python_sitearch} declaration at
the top if there are no arch specific files (i.e. .so's) which I believe there
aren't.

Koji build failed (http://koji.fedoraproject.org/koji/taskinfo?taskID=530672) with:
RPM build errors:
    Installed (but unpackaged) file(s) found:
   /usr/lib/python2.5/site-packages/screenlets-0.0.11-py2.5.egg-info
Comment 14 Patrice FERLET 2008-03-26 12:57:58 EDT
The problem is that the "tar" file is not correctly created to be
uncompressed... I have to recreate tarball to use it.

So, the URL is commented to remember where i can find the tarball. If you have
any solution to help me to correct this :)

I use the template created by the macros given on Fedora docs to create my spec
file. So the sitearch declaration is here by default. I can try without this if
you want. I don't know what will happend :)

I'll try this tonight or tomorrow. Thanks :)

For the screenlets-0.0.11-py2.5.egg-info, I don't have this error on my box...
and I don't understand what generate this error. I will correct.

Regards,
 
Comment 15 Timothy Selivanow 2008-03-31 13:59:39 EDT
I was able to untar/ungzip successfully using the following URL: 
http://code.launchpad.net/screenlets/trunk/0.0.14/+download/screenlets-0.0.14.tar.gz

Also, it seems like they provide an F8 RPM (hosted by gnome-look.org, not sure
where SRPM is) at:
http://gnome-look.org/content/download.php?content=77008&id=3&tan=77414241
I'd take a look at that and perhaps merge some things if it is applicable (as
they are upstream and theoretically would know how they want their program to
appear), but make sure that it all follows the Packaging Guidelines.

About the error that you said you don't see, that was from the Koji build
system, and that particular build was for F9.

Also, in a side note, there seems to be some discussion of merging gDesklets
into Screenlets as per http://forum.compiz-fusion.org/showthread.php?t=7599 but
I imagine that won't come to fruition for a little while. Just FYI.
Comment 16 Patrice FERLET 2008-04-06 12:05:14 EDT
In fact, i'm in the Screenlets Group on gnome-art... and I do package for Fedora.

"Whise" forget me to say that 0.1 is out. I'm going to reackage and I'll give
you my new SRPM.

For the tar.gz: I always need to recreate archive to use it with my specfile.
maybe I'll find prettier solution.

Regards,
Comment 17 Patrice FERLET 2008-04-06 12:46:51 EDT
Spec URL: http://www.metal3d.org/rpms/screenlets.spec
SRPM URL: http://www.metal3d.org/rpms/screenlets-0.1-1.fc8.src.rpm

This is the last and stable release of screenlets

I didn't find the way into specfile to specify that the uncompressed folder is
not named "screenlets-0.1" but "screenlets", so i did tarball my self.

Have fun :)
Comment 18 Nicolas Chauvet (kwizart) 2008-04-06 12:51:49 EDT
use %setup -q -n screenlets
Comment 19 Jack Deslippe 2008-04-16 02:53:02 EDT
Will this package be in Fedora 9?  Lots of people would be interested (Leigh123
on the forums also has an rpm for screenlets that seems to have lots of
interest).  But, it would be good to get something into the official repos.  Are
you having trouble getting someone to review it or something?
Comment 20 Patrice FERLET 2008-04-16 09:49:34 EDT
yes, i've got problem... 
I will use the setup command given by Nicolas Chauvet to have a good generation.

I know that a lot of people want to have screenlets eseally installed on system
and I try to do my best.

Thanks 
Comment 21 Patrice FERLET 2008-04-21 10:11:21 EDT
Spec URL: http://www.metal3d.org/rpms/screenlets.spec
SRPM URL: http://www.metal3d.org/rpms/screenlets-0.1-2.fc8.src.rpm

New build... always some errors with rpmlint:
screenlets.noarch: W: no-documentation
screenlets.noarch: E: script-without-shebang
/usr/share/screenlets/MainMenu/themes/fedora/theme.conf
screenlets.noarch: E: script-without-shebang
/usr/share/screenlets/MainMenu/themes/xubuntu2/theme.conf
screenlets.noarch: E: script-without-shebang
/usr/share/screenlets/MainMenu/themes/ubuntu/theme.conf
screenlets.noarch: E: script-without-shebang
/usr/share/screenlets/MainMenu/themes/fedora2/theme.conf
screenlets.noarch: E: script-without-shebang
/usr/share/screenlets/MainMenu/themes/arch/theme.conf
screenlets.noarch: E: script-without-shebang
/usr/share/screenlets/MainMenu/themes/debian/theme.conf
screenlets.noarch: E: script-without-shebang
/usr/share/screenlets/MainMenu/themes/gnome/theme.conf
screenlets.noarch: E: script-without-shebang
/usr/share/screenlets/MainMenu/themes/slackware/theme.conf
screenlets.noarch: E: script-without-shebang
/usr/share/screenlets/MainMenu/themes/KDE/theme.conf
screenlets.noarch: E: script-without-shebang
/usr/share/screenlets/MainMenu/themes/suse2/theme.conf
screenlets.noarch: E: script-without-shebang
/usr/share/screenlets/MainMenu/themes/FreeBsd/theme.conf
screenlets.noarch: E: script-without-shebang
/usr/share/screenlets/MainMenu/themes/ubuntu2/theme.conf
screenlets.noarch: E: script-without-shebang
/usr/share/screenlets/MainMenu/themes/suse/theme.conf
screenlets.noarch: E: script-without-shebang
/usr/share/screenlets/MainMenu/themes/gentoo/theme.conf
screenlets.noarch: E: script-without-shebang
/usr/share/screenlets/MainMenu/themes/debian2/theme.conf
screenlets.noarch: E: script-without-shebang
/usr/share/screenlets/MainMenu/themes/graphfreak/theme.conf
screenlets.noarch: E: script-without-shebang
/usr/share/screenlets/MainMenu/themes/FreeBsd2/theme.conf
screenlets.noarch: E: script-without-shebang
/usr/share/screenlets/MainMenu/themes/xubuntu/theme.conf
screenlets.noarch: E: non-executable-script
/usr/share/screenlets/Radio/RadioScreenlet.py 0644
screenlets.noarch: E: wrong-script-end-of-line-encoding
/usr/share/screenlets/Radio/RadioScreenlet.py
screenlets.noarch: E: explicit-lib-dependency libnotify
screenlets.noarch: W: invalid-license GPL
screenlets.noarch: E: invalid-desktopfile
/usr/share/applications/screenlets-manager.desktop


please help... this conf files are just some screenlets theme configration for
THIS screenlet (MainMenu)... I really need to know how to correct this...

My desktop file IS ok... really !

Look at my spec file, it's very very strange to package this...

Regards ;)
Comment 22 Patrice FERLET 2008-04-21 10:21:09 EDT
in fact, i wonder if it will be not better to do a package per screenlets... no ?
Comment 23 Eric Moret 2008-05-08 19:43:25 EDT
I could not access your SRPM file, link seems to be broken
Comment 24 Ian Weller 2008-05-22 00:23:31 EDT
i'll review this. please note that 0.1.1 is available.
Comment 25 Patrice FERLET 2008-05-22 09:31:01 EDT
I will package new version so :)
Comment 26 Ian Weller 2008-05-24 00:02:56 EDT
i haven't seen you make any other package requests, and i can't find you in FAS.
do you need a sponsor? if so, please follow this procedure --
  http://fedoraproject.org/wiki/PackageMaintainers/NewPackageProcess
Comment 27 Ian Weller 2008-05-24 00:04:15 EDT
whoops sorry wrong link.
 
http://fedoraproject.org/wiki/PackageMaintainers/Join#head-a7a95bc9083826b65ccdd4d0f201ea6e59426590

pay special attention to adding a certain blocker to this bug. if you need help,
ask :)
Comment 28 Ian Weller 2008-05-24 00:09:57 EDT
(sorry for the comment spam...)

because you need a sponsor I cannot officially review this package. however I
can help out by prereviewing your package a bit. I'll see if I can do that as
soon as you get the latest version up :)
Comment 29 Patrice FERLET 2008-05-30 11:31:25 EDT
I do it tonight, sorry for being late... lot of works lasts weeks.

Comment 30 leigh scott 2008-08-03 11:26:14 EDT
Are you still stuck ? ( does this help? )

http://www.linux-ati-drivers.homecall.co.uk/screenlets.spec
http://www.linux-ati-drivers.homecall.co.uk/screenlets-0.1.2-5.fc9.src.rpm

If you have given up perhaps someone could review my attempt !
rpm doesn't seem to find the library dependencies by itself!!




rpmlint output



screenlets.noarch: I: checking
screenlets.noarch: E: explicit-lib-dependency libnotify
You must let rpm find the library dependencies by itself. Do not put unneeded
explicit Requires: tags.

1 packages and 0 specfiles checked; 1 errors, 0 warnings.
Comment 31 Nicolas Chauvet (kwizart) 2009-01-22 09:26:25 EST
This is a more than 6 month pending review.
I will expect Remi to sponsor Patrice. Until then, here is a pre-review:

@leigh scott
I will pick the Patrice's spec file as he's the original submitter of the package.
Feel free to participate in this review and submit other package if you want to be sponsored .


screenlet pre-review - started
only a spec review at this time - not package buit.

NEEDWORK - %{!?python_sitelib: and %{!?python_sitearch: are not needed anymore in recent Fedora version. (since they are already defined) - Please remove at least the python_sitearch macro which is irrelevant for a noarch package.
In the same way, please remove every lines that are not relevant for a noarch package (# Remove CFLAGS=, comments from the spec template, etc).
NEEDWORK - A new version has been released : 0.1.2
NEEDWORK - use the Appropriate short name for License ( GPLv2+ )
NEEDWORK - #Source1 have to be remove - unuseful comment
NEEDWORK - Use Applications/Multimedia instead of Applications/System
NEEDWORK - no doc are bundled in the package, please add the relevant ones.
NEEDWORK - If possible , choose to install the svg icon into /usr/share/icons/hicolor/scalable/apps, then follow
https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#GTK.2B_icon_cache
NEEDWORK - the package bundle a .desktop file, but the file was not validated
https://fedoraproject.org/wiki/Packaging/Guidelines#Desktop_files
NEEDWORK - You need to use the find_lang macro (you may need to tweak it for both screenlet and screenlet-manager locales)
https://fedoraproject.org/wiki/Packaging/Guidelines#Handling_Locale_Files
Comment 32 leigh scott 2009-01-22 09:53:45 EST
@ Nicolas Chauvet

As far as I know screenlets has been abandoned (It's a dead project) and has been replaced by universal applets.
I am not going to package universal applets as I don't think it's ready for prime time 


http://bazaar.launchpad.net/~screenlets-dev/screenlets/trunk/files

https://code.launchpad.net/~universal-applets-core
Comment 33 Patrice FERLET 2009-01-22 10:10:57 EST
alright, screenlets has licence that cannot be applied for fedora repositories...

Screenlets were abandonned by author but another project contributor continues to work. I have no news...

This is why I decided to leave this package stand by for now. 

I will propose my other packages to be sponsored. 
Thanks
Comment 34 Peter Lemenkov 2009-05-02 00:45:06 EDT

*** This bug has been marked as a duplicate of bug 484644 ***

Note You need to log in before you can comment on or make changes to this bug.